Poll a Query In Progress
curl --request GET \
--url https://api.eu.bronto.io/search/status/{statusId} \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/search/status/{statusId}"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/search/status/{statusId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "IN_PROGRESS",
"progress": 56,
"start_time": "Tue Aug 06 15:24:15 GMT 2024",
"explain": {
"Execution time (millis)": "353"
},
"result": [
{
"@time": "2024-03-27 10:25:40.632 UTC",
"@sequence": "111721913",
"@raw": "10.0.0.1 - - [27/Mar/2024:10:54:39 +0000] \"GET / HTTP/1.1\" 200 721 \"-\" \"ELB-HealthChecker/2.0\"",
"@context": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both",
"metadata": {
"logId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 1711535140632,
"sequence": 111721913,
"origin": "10.0.0.1",
"context": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both",
"selectedKeys": {
"@time": "2024-03-27 10:25:40.632 UTC"
},
"unselectedKeys": {
"id": "message_0",
"current_time": 1711535140
}
},
"links": [
{
"rel": "context",
"href": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both"
}
]
}
],
"events": [
{
"@raw": "10.0.108.203 - - [27/May/2024:23:47:27 +0000] \"GET / HTTP/1.1\" 200 675 \"-\" \"ELB-HealthChecker/2.0\"",
"@time": "2024-05-27 23:26:34.331 UTC",
"@status": "info",
"message_kvs": {
"method": "GET",
"statusCode": "200",
"path": "/"
},
"attributes": {
"$private_ip": "10.0.22.230",
"$environment": "production"
},
"metadata": {
"service_id": "23746675-7022-4985-bd74-4af9eba58d72",
"timestamp": 1716853347801,
"sequence": 111721913,
"context": "\"https://api.eu.bronto.io/context?sequence=213&from=37bdf479-7c95-4e81-982a-25d0680fb602×tamp=1716853354331&direction=both\"\n"
},
"links": [
{
"rel": "context",
"href": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both"
}
]
}
],
"groups": [
{
"group": "[US]",
"count": 124,
"stat": "average(bytes)",
"value": 50325.25,
"timeseries": [
{
"@timestamp": "1711535140632",
"count": 40,
"value": 35.625,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
}
}
]
}
],
"groups_series": [
{
"name": "host123",
"count": 124,
"stat": "average(duration_millis)",
"value": 50325.25,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
},
"series_resolution_ms": 60000,
"timeseries": [
{
"@timestamp": "1711535140632",
"count": 40,
"value": 35.625,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
}
}
],
"groups_series": [
{
"name": "host123",
"count": 124,
"stat": "average(duration_millis)",
"value": 50325.25,
"series_resolution_ms": 60000,
"timeseries": [
{
"@timestamp": "1711535140632",
"count": 40,
"value": 35.625,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
}
}
]
}
]
}
],
"metadata": {
"select": [
"host",
"status",
"method"
],
"correlation_id": "00000000-0000-0000-0000-000000000000"
},
"totals": {},
"pagination": {
"next_page_url": "<string>"
},
"links": [
{
"rel": "status",
"href": "<string>"
}
]
}{
"status": "COMPLETED",
"progress": 100,
"start_time": "Tue Aug 06 15:24:15 GMT 2024",
"explain": {
"Execution time (millis)": "353"
},
"result": [
{
"@time": "2024-03-27 10:25:40.632 UTC",
"@sequence": "111721913",
"@raw": "10.0.0.1 - - [27/Mar/2024:10:54:39 +0000] \"GET / HTTP/1.1\" 200 721 \"-\" \"ELB-HealthChecker/2.0\"",
"@context": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both",
"metadata": {
"logId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 1711535140632,
"sequence": 111721913,
"origin": "10.0.0.1",
"context": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both",
"selectedKeys": {
"@time": "2024-03-27 10:25:40.632 UTC"
},
"unselectedKeys": {
"id": "message_0",
"current_time": 1711535140
}
},
"links": [
{
"rel": "context",
"href": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both"
}
]
}
],
"events": [
{
"@raw": "10.0.108.203 - - [27/May/2024:23:47:27 +0000] \"GET / HTTP/1.1\" 200 675 \"-\" \"ELB-HealthChecker/2.0\"",
"@time": "2024-05-27 23:26:34.331 UTC",
"@status": "info",
"message_kvs": {
"method": "GET",
"statusCode": "200",
"path": "/"
},
"attributes": {
"$private_ip": "10.0.22.230",
"$environment": "production"
},
"metadata": {
"service_id": "23746675-7022-4985-bd74-4af9eba58d72",
"timestamp": 1716853347801,
"sequence": 111721913,
"context": "\"https://api.eu.bronto.io/context?sequence=213&from=37bdf479-7c95-4e81-982a-25d0680fb602×tamp=1716853354331&direction=both\"\n"
},
"links": [
{
"rel": "context",
"href": "https://api.bronto.io/context?sequence=111721913&limit=1&from=23746675-7022-4985-bd74-4af9eba58d72×tamp=1711535140632&direction=both"
}
]
}
],
"groups": [
{
"group": "[US]",
"count": 124,
"stat": "average(bytes)",
"value": 50325.25,
"timeseries": [
{
"@timestamp": "1711535140632",
"count": 40,
"value": 35.625,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
}
}
]
}
],
"groups_series": [
{
"name": "host123",
"count": 124,
"stat": "average(duration_millis)",
"value": 50325.25,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
},
"series_resolution_ms": 60000,
"timeseries": [
{
"@timestamp": "1711535140632",
"count": 40,
"value": 35.625,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
}
}
],
"groups_series": [
{
"name": "host123",
"count": 124,
"stat": "average(duration_millis)",
"value": 50325.25,
"series_resolution_ms": 60000,
"timeseries": [
{
"@timestamp": "1711535140632",
"count": 40,
"value": 35.625,
"quantiles": {
"min": 691,
"p25": 713.75,
"p50": 796,
"p75": 847.5,
"p90": 1237,
"p95": 1331,
"p99": 1331,
"p999": 1331,
"max": 1331
}
}
]
}
]
}
],
"metadata": {
"select": [
"host",
"status",
"method"
],
"correlation_id": "00000000-0000-0000-0000-000000000000"
},
"totals": {},
"pagination": {
"next_page_url": "<string>"
},
"links": [
{
"rel": "next",
"href": "<string>"
}
]
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}Get asynchronous search status
Poll the status, progress, and partial results of an asynchronous Bronto search query by its status identifier to track long-running search jobs.
GET
/
search
/
status
/
{statusId}
Poll a Query In Progress
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
The status id for the query.
Response
In progress query.
The current status of the query. Possible value:
COMPLETED- the query finished successfully.IN_PROGRESS- the query is still running.CANCELLED_BY_USER- the query was stopped as a result of aDELETErequest being issued.TIMED_OUT- the query was stopped as it was not polled in time (as indicated by theRetry-Afterheader in the response for the initial search request, or last poll).INTERNAL_SERVER_ERROR- the query failed due to internal server error.
Example:
"IN_PROGRESS"
A value between 0 and 100 indicating how much of the processing has finished.
Example:
56
The time the query was started at, in human readable format.
Example:
"Tue Aug 06 15:24:15 GMT 2024"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

